Bug 1456470 - [RFE] Allow to set specific MTU per network
Summary: [RFE] Allow to set specific MTU per network
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Upstream M2
: 13.0 (Queens)
Assignee: Ihar Hrachyshka
QA Contact: Roee Agiman
URL: https://bugs.launchpad.net/neutron/+b...
Whiteboard:
Depends On:
Blocks: 1419948 1505261
TreeView+ depends on / blocked
 
Reported: 2017-05-29 12:57 UTC by Aviv Guetta
Modified: 2018-06-27 13:33 UTC (History)
13 users (show)

Fixed In Version: openstack-neutron-12.0.0-0.20180123043113.d32ad6e.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:31:22 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1671634 None None None 2017-11-30 21:58:32 UTC
OpenStack gerrit 483518 None MERGED Allow to set/modify network mtu 2020-08-19 00:03:37 UTC
Red Hat Knowledge Base (Solution) 3059091 None None None 2017-05-29 15:08:32 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:33:17 UTC

Description Aviv Guetta 2017-05-29 12:57:05 UTC
This Bugzilla is a of upstream RFE[1] to enable configuration of MTU on:
1) Networks.
2) Subnets.(an addition to the upstream RFE below).

Upstream RFE description:

ATM neutron does allow to configure MTU for networks to reflect underlying infrastructure, but only to operators, and only by changing configuration options.

Ideally, users would be allowed to modify MTU for networks (to simplify matters, on creation only, though we can also look at resource updates) to accommodate for custom workloads relying on specific MTUs. Or maybe sometimes users want to get consistent MTUs across all their networks instead of having different MTUs based on network type backing their networks. Both of those use cases would be served by allowing PUT for 'mtu' network attribute.

I guess it will require a fake extension to signal the change in behavior, even while the implementation may still lay in existing plugin code handling MTUs.


[1] https://bugs.launchpad.net/neutron/+bug/1671634

Comment 2 Aviv Guetta 2017-05-29 13:22:51 UTC
In addition to @description I add additional 'set MTU' resolution: 

3) Port

Comment 4 Nir Yechiel 2017-10-18 07:04:26 UTC
Hi Ihar,

Can you provide an update about the upstream progress? I think that this is out of scope for RHOSP 13 due to other priories, but wanted to get your feedback first.

Thanks,
Nir

Comment 5 Ihar Hrachyshka 2017-10-20 16:45:52 UTC
The network MTU will be available for setting on create and update for Pike, OSP12. As for ports part, I think we may need a separate RFE for that matter, and schedule it for OSP14+.

Comment 6 Ihar Hrachyshka 2017-10-20 16:48:34 UTC
Aviv, please create a separate RFE for port MTU, and then we can consider it for OSP14+.

Comment 7 Aviv Guetta 2017-10-23 07:08:27 UTC
@Ihar No problem. Can you please elaborate why ports MTU modification can't be introduced for SOP 12, like networks/subnets?

Comment 9 Ihar Hrachyshka 2017-10-23 19:43:59 UTC
Aviv, OSP12 planning is long gone and we work on final preparation before OSP release. At this point, no new features can be considered, especially since corresponding upstream release [Pike] is already released. Actually, even OSP13 is already done, so we probably look at no earlier than OSP14.

Comment 11 Assaf Muller 2017-11-30 22:03:13 UTC
Per network MTU was merged in time for Pike. However I'm retargeting this for OSP 13 M2 to allow time for further testing.

Comment 19 Ihar Hrachyshka 2018-02-20 23:44:07 UTC
Note there is already some automation for the feature, specifically here: https://github.com/openstack/neutron-tempest-plugin/blob/028c312ab0e32901c282c73fd402b8de874163fc/neutron_tempest_plugin/api/test_networks.py#L134-L160

As you can see, there are some TODOs there worth looking into as part of our internal automation effort.

Comment 27 errata-xmlrpc 2018-06-27 13:31:22 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.